Package com.google.android.exoplayer2.video.spherical

## Interface CameraMotionListener

-     public interface CameraMotionListener

  Listens camera motion.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCameraMotion​(long timeUs, float[] rotation)` | Called when a new camera motion is read.
    `void` | `onCameraMotionReset()` | Called when the camera motion track position is reset or the track is disabled.

- - ### Method Detail

    - #### onCameraMotion

          void onCameraMotion​(long timeUs,
                              float[] rotation)

      Called when a new camera motion is read. This method is called on the playback thread.
      Parameters:
        `timeUs` - The presentation time of the data.
        `rotation` - Angle axis orientation in radians representing the rotation from camera coordinate system to world coordinate system.

    - #### onCameraMotionReset

          void onCameraMotionReset()

      Called when the camera motion track position is reset or the track is disabled.